set ns [new Simulator]
$ns color 1 Blue
$ns color 2 Red

#Open the nam trace file
set nf [open esame.nam w]
set tf [open esame.tr w]
$ns namtrace-all $nf
$ns trace-all $tf

proc finish {} {
	global ns nf tf 
	$ns flush-trace
	close $nf 
	close $tf
	exit 0
}

set n0 [$ns node]
set n1 [$ns node]
set n2 [$ns node]
set n3 [$ns node]
set n4 [$ns node]
set n5 [$ns node]

$ns duplex-link $n0 $n2 1Mb 5ms DropTail
$ns duplex-link $n1 $n2 1Mb 5ms DropTail
$ns duplex-link $n2 $n3 1Mb 5ms DropTail
$ns duplex-link $n3 $n4 1Mb 5ms DropTail
$ns duplex-link $n3 $n5 1Mb 5ms DropTail

# CBR Traffic over UDP from 0 to 4
set udp0 [new Agent/UDP]
$udp0 set class_ 1
$ns attach-agent $n0 $udp0

set cbr0 [new Application/Traffic/CBR]
$cbr0 set packetSize_ 100
$cbr0 set rate_ 0.1Mb
# $cbr0 set interval_ 0.005
$cbr0 attach-agent $udp0

set null0 [new Agent/Null]
$ns attach-agent $n4 $null0

$ns connect $udp0 $null0


# FTP over TCP from node 1 to 5
set tcp0 [new Agent/TCP/FullTcp]
$tcp0 set class_ 2
$ns attach-agent $n1 $tcp0

set ftp0 [new Application/FTP]
$ftp0 set packetSize_ 100
$cbr0 set rate_ 0.1Mb
$ftp0 attach-agent $tcp0

set null1 [new Agent/TCP/FullTcp]
$null1 listen
$ns attach-agent $n5 $null1

$ns connect $tcp0 $null1


# Schedule events
$ns at 0.5 "$cbr0 start"
$ns at 0.5 "$ftp0 start"
$ns at 4.5 "$cbr0 stop"
$ns at 4.5 "$ftp0 stop"

# Call finish procedure
$ns at 5.0 "finish"

# Run simulation
$ns run