set ns [new Simulator]

set nf [open lan.nam w]
$ns namtrace-all $nf

set tf [open lan.tr w]
$ns trace-all $tf

proc finish {} {
	global ns nf tf
	$ns flush-trace
	close $nf
	close $tf
	exit 0
}


set n0 [$ns node]
set n1 [$ns node]
set n2 [$ns node]
set n3 [$ns node]
set n4 [$ns node]
set n5 [$ns node]

$ns duplex-link $n0 $n1 2Mb 10ms DropTail
$ns duplex-link-op $n0 $n1 orient right

$ns make-lan "$n1 $n2 $n3 $n4 $n5" 10Mb 20ms LL Queue/DropTail Mac/802_3

set tcp0 [new Agent/TCP/FullTcp]
$tcp0 set window_ 30
$tcp0 set segsize_ 536
$ns attach-agent $n0 $tcp0

set sink0 [new Agent/TCP/FullTcp]
$ns attach-agent $n5 $sink0
$sink0 listen

set source0 [new Application/Traffic/CBR]
$source0 set packetSize_ 300
$source0 set rate_ 100kb
$source0 attach-agent $tcp0


$ns connect $tcp0 $sink0

$ns at 0.0 "$source0 start"
$ns at 10.0 "$source0 stop"
$ns at 10.0 "finish"

$ns run
