set ns [new Simulator]

#Open the nam trace file
set nf [open test.nam w]
$ns namtrace-all $nf

set tf [open test.tr w]
$ns trace-all $tf

proc finish {} {
	global ns nf tf 
	$ns flush-trace
	close $nf 
	close $tf
	exit 0
}

set n0 [$ns node]
set n1 [$ns node]
set n2 [$ns node]
set n3 [$ns node]
set n4 [$ns node]
set n5 [$ns node]

$ns duplex-link $n0 $n2 2Mb 5ms DropTail
$ns duplex-link $n1 $n2 2Mb 5ms DropTail
$ns duplex-link $n2 $n3 1Mb 5ms DropTail
$ns duplex-link $n3 $n4 2Mb 5ms DropTail
$ns duplex-link $n3 $n5 2Mb 5ms DropTail


# CBR Traffic over UDP from node 0 to node 5
set udp0 [new Agent/UDP]
$ns attach-agent $n0 $udp0

set cbr0 [new Application/Traffic/CBR]
$cbr0 set packetSize_ 600
$cbr0 set rate_ 1.3Mb
$cbr0 attach-agent $udp0

set null0 [new Agent/Null]
$ns attach-agent $n5 $null0

$ns connect $udp0 $null0


# Schedule events
$ns at 0.5 "$cbr0 start"
$ns at 4.5 "$cbr0 stop"

# Call finish procedure
$ns at 5.0 "finish"

# Run simulation
$ns run